Delete a cloud volume

DELETE/v1/cloud_block_storage/volumes/{volume_id}

A DELETE request to the /v1/cloud_block_storage/volumes/{volume_id} endpoint will remove a volume. Specify its ID in the path parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

FieldDetails
volume_id
string

A unique identifier of a volume.

Response Body

application/json

application/json

curl -X DELETE "https://example.com/v1/cloud_block_storage/volumes/oQeZJepZ"
{  "id": "oQeZJepZ",  "openstack_uuid": "ecfb3663-4ae8-4f97-bd7e-860327ecbee5",  "region_id": 0,  "region_code": "NL01",  "name": "vol1",  "size": 1,  "status": "deleting",  "created_at": "2025-12-31T00:00:00Z",  "bootable": false,  "labels": {},  "attachments": [],  "description": "vol1"}